﻿<div class="{{ $pageRouteServ.pageObject.academicInfo.class + ' ' + $pageRouteServ.pageObject.faculty.class + ' ' + $pageRouteServ.pageObject.faculty.verified.class }}"
    ng-controller="academicInfo.facultyCtrl as acafac"
    ng-init="acafac.init()">
    <div class="dialogin" ng-if="acafac.showForm">
        <div class="panel noborder">
            <div class="panel-heading page-heading">
                <div class="panel-title">
                    <div class="panel-table">
                        <div class="panel-row">
                            <div class="panel-col col-navigation">
                                <div class="navigation">
                                    <ul>
                                        <li class="colshow text-left">
                                            <span class="{{ $appServ.labelStyle }} bold black f8">
                                                {{ $appServ.getLabel(['faculty']) }}
                                            </span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <div class="panel-col col-toolbar text-right">
                                <div class="toolbar">
                                    <a enter class="btn" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['add'])"
                                        ng-click="
                                            $utilServ.doBlur($event);
                                            acafac.addedit.showForm = !acafac.addedit.showForm;
                                            acafac.addedit.template.action = 'add';
                                            acafac.addedit.template.init()
                                        "
                                        ng-if="!acafac.addedit.showForm">
                                        <i class="fa fa-plus white f9 top6"></i>
                                    </a>
                                    <!--
                                    acafac.addedit.add.init()
                                    -->
                                    <a enter class="btn" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['back'])"
                                        ng-click="
                                            $utilServ.doBlur($event);
                                            acafac.table.hide = true;
                                            acafac.table.isReload = true;
                                            acafac.addedit.showForm = !acafac.addedit.showForm;
                                            acafac.addedit.template.remove()
                                        "
                                        ng-if="acafac.addedit.showForm">
                                        <i class="fa fa-arrow-left white f10 top5"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel-body page-body"
                ng-show="
                    acafac.showForm &&
                    !acafac.addedit.showForm
                ">
                <div class="text-center" loading-container="$facultyServ.tableList.facultyVerified.settings().$loading">
                    <table class="table table-striped table-hover" ng-table="$facultyServ.tableList.facultyVerified">
                        <caption>
                            <div class="block">
                                <div class="panel-table">
                                    <div class="panel-row">
                                        <div class="panel-col col-toolbar">
                                            <div class="toolbar">
                                                <a enter class="btn black f5 nomargin-left" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['filter'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acafac.table.filter.showForm = !acafac.table.filter.showForm
                                                    ">
                                                    <i class="fa fa-filter white f9"></i>
                                                </a>
                                                <a enter class="btn black f5" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['reload'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acafac.table.reload.isPreloading = false;
                                                        acafac.table.reload.isResetDataSource = true;
                                                        acafac.table.reload.order = [{ 
                                                            table: 'facultyVerified',
                                                            isFirstPage: true
                                                        }];
                                                        acafac.table.reload.action()
                                                    ">
                                                    <i class="fa fa fa-refresh white f9"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="panel-col col-recordcount text-right"
                                            ng-show="!$facultyServ.tableList.facultyVerified.settings().$loading"
                                            ng-if="!acafac.table.hide">
                                            <span class="{{ $appServ.labelStyle }} regular black f11">
                                                {{ $utilServ.getRecordCount($facultyServ.tableList.facultyVerified.totalSearch, $facultyServ.tableList.facultyVerified.total(), $dictServ.dict) }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="filter dialogin" ng-if="acafac.table.filter.showForm">
                                <div class="panel noborder">
                                    <div class="panel-heading block">
                                        <div class="panel-title text-left">
                                            <span class="{{ $appServ.labelStyle }} bold white f10">
                                                {{ $appServ.getLabel(['filter']) }}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="panel-body block">
                                        <div class="panel-table">
                                            <div class="panel-row">
                                                <div class="panel-col nopadding-right">
                                                    <div class="form vertical">
                                                        <div class="form-row">
                                                            <div class="form-col label-col text-left {{ $appServ.labelStyle }} regular white f10">
                                                                {{ $appServ.getLabel(['keyword']) }}
                                                            </div>
                                                            <div class="form-col input-col text-left">
                                                                <input enter smart-textbox class="form-control inputbox font-en regular black f10" type="text"
                                                                    ng-model="acafac.table.filter.formField.keyword"
                                                                    ng-disabled="$facultyServ.tableList.facultyVerified.totalSearch === 0"
                                                                />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </caption>
                        <thead class="table-data">
                            <tr>
                                <th class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['order']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-code">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['faculty', 'table', 'code']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-name">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['faculty', 'table', 'name']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-right noborder-bottom col-command"></th>
                                <th class="colwrap colwrap1 hidden" colspan="4"></th>
                            </tr>
                        </thead>
                        <tbody class="table-data"
                            ng-init="
                                urlAcademicInfo = $pageRouteServ.pageObject.academicInfo.url;
                                urlDepartment = ($pageRouteServ.pageObject.department.url + '/' + dr.id);
                                urlMajor = ($pageRouteServ.pageObject.major.url + '/' + dr.id);
                                urlProgram = ($pageRouteServ.pageObject.programme.url + '/' + dr.id);
                                urlCourse = ($pageRouteServ.pageObject.course.url + '/' + dr.id)
                            "
                            ng-repeat="dr in $data | orderBy: 'id'">
                            <tr ng-if="!acafac.table.hide">
                                <td class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['order'])">
                                        {{ $utilServ.getOrderIndex($facultyServ.tableList.facultyVerified, $index) }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-code">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['faculty', 'table', 'code'])">
                                        {{ dr.code }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-name text-left">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['faculty', 'table', 'name'])">
                                        {{ dr.name[$utilServ.lang] | capitalize }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-right noborder-bottom col-command">
                                    <div class="block">
                                        <div class="toolbar">
                                            <a class="btn nomargin-left info-bg" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['edit'])"
                                                ng-click="
                                                    $utilServ.doBlur($event);
                                                    acafac.addedit.showForm = !acafac.addedit.showForm; acafac.addedit.template.action = 'edit';
                                                    acafac.addedit.template.init();
                                                    acafac.addedit.formValue.id = dr.id
                                                ">
                                                <i class="fa fa-edit white f9"></i>
                                            </a>
                                            <a class="btn danger-bg disabled" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['remove'])"
                                                ng-click="
                                                    $utilServ.doBlur($event);
                                                    acafac.addedit.delete.dataRow = dr;
                                                    acafac.addedit.delete.init();
                                                    acafac.addedit.saveChange.action()
                                                ">
                                                <i class="fa fa-trash white f10"></i>
                                            </a>
                                            <a enter class="btn btn-text default-bg" href="#/{{ urlDepartment }}" uib-tooltip-html="$appServ.getLabel(['department'])">
                                                <i class="fa fa-list white f9"></i>
                                                <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                    {{ $appServ.getLabel(['department']) }}
                                                </span>
                                            </a>
                                            <a enter class="btn btn-text default-bg" href="#/{{ urlMajor }}" uib-tooltip-html="$appServ.getLabel(['major'])">
                                                <i class="fa fa-list white f9"></i>
                                                <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                    {{ $appServ.getLabel(['major']) }}
                                                </span>
                                            </a>
                                            <a enter class="btn btn-text default-bg" href="#/{{ urlProgram }}" uib-tooltip-html="$appServ.getLabel(['program'])">
                                                <i class="fa fa-list white f9"></i>
                                                <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                    {{ $appServ.getLabel(['program']) }}
                                                </span>
                                            </a>
                                            <a enter class="btn btn-text default-bg" href="#/{{ urlCourse }}" uib-tooltip-html="$appServ.getLabel(['course'])">
                                                <i class="fa fa-list white f9"></i>
                                                <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                    {{ $appServ.getLabel(['course']) }}
                                                </span>
                                            </a>
                                        </div>
                                    </div>
                                </td>
                                <td class="colwrap colwrap1 noborder" colspan="4">
                                    <div class="view block">
                                        <div class="iform">
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['order']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ $utilServ.getOrderIndex($facultyServ.tableList.facultyVerified, $index) }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['faculty', 'table', 'code']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.code }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['faculty', 'table', 'name']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.name[$utilServ.lang] | capitalize }}
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-right paddingTop3">
                                            <div class="toolbar">
                                                <a class="btn nomargin-left info-bg" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['edit'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acafac.addedit.showForm = !acafac.addedit.showForm;
                                                        acafac.addedit.template.action = 'edit';
                                                        acafac.addedit.template.init();
                                                        acafac.addedit.formValue.id = dr.id
                                                    ">
                                                    <i class="fa fa-edit white f9"></i>
                                                </a>
                                                <a class="btn danger-bg disabled" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['remove'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acafac.addedit.delete.dataRow = dr;
                                                        acafac.addedit.delete.init();
                                                        acafac.addedit.saveChange.action()
                                                    ">
                                                    <i class="fa fa-trash white f10"></i>
                                                </a>
                                                <a enter class="btn btn-text default-bg" href="#/{{ urlDepartment }}" uib-tooltip-html="$appServ.getLabel(['department'])">
                                                    <i class="fa fa-list white f9"></i>
                                                    <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                        {{ $appServ.getLabel(['department']) }}
                                                    </span>
                                                </a>
                                                <a enter class="btn btn-text default-bg" href="#/{{ urlMajor }}" uib-tooltip-html="$appServ.getLabel(['major'])">
                                                    <i class="fa fa-list white f9"></i>
                                                    <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                        {{ $appServ.getLabel(['major']) }}
                                                    </span>
                                                </a>
                                                <a enter class="btn btn-text default-bg" href="#/{{ urlProgram }}" uib-tooltip-html="$appServ.getLabel(['program'])">
                                                    <i class="fa fa-list white f9"></i>
                                                    <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                        {{ $appServ.getLabel(['program']) }}
                                                    </span>
                                                </a>
                                                <a enter class="btn btn-text default-bg" href="#/{{ urlCourse }}" uib-tooltip-html="$appServ.getLabel(['course'])">
                                                    <i class="fa fa-list white f9"></i>
                                                    <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                        {{ $appServ.getLabel(['course']) }}
                                                    </span>
                                                </a>
                                                <div class="dropdown pull-right">
                                                    <a class="btn dropdown-toggle" href="javascript:void(0)" data-toggle="dropdown" uib-tooltip-html="$appServ.getLabel(['dropdown'])">
                                                        <i class="fa fa-ellipsis-v white f10"></i>
                                                    </a>
                                                    <i class="fa fa-caret-right" aria-hidden="true"></i>
                                                    <ul class="dropdown-menu">
                                                        <li>
                                                            <a class="{{ $appServ.labelStyle }} regular white f11" href="#/{{ urlDepartment }}">
                                                                {{ $appServ.getLabel(['department']) }}
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a class="{{ $appServ.labelStyle }} regular white f11" href="#/{{ urlMajor }}">
                                                                {{ $appServ.getLabel(['major']) }}
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a class="{{ $appServ.labelStyle }} regular white f11" href="#/{{ urlProgram }}">
                                                                {{ $appServ.getLabel(['program']) }}
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a class="{{ $appServ.labelStyle }} regular white f11" href="#/{{ urlCourse }}">
                                                                {{ $appServ.getLabel(['course']) }}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot
                            ng-show="
                                $facultyServ.tableList.facultyVerified.totalSearch !== undefined &&
                                !$facultyServ.tableList.facultyVerified.settings().$loading
                            ">
                            <tr ng-if="!acafac.table.hide">
                                <td class="noborder-top noborder-right noborder-bottom noborder-left" colspan="4">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block">
                                        {{ $utilServ.getRecordCount($facultyServ.tableList.facultyVerified.totalSearch, $facultyServ.tableList.facultyVerified.total(), $dictServ.dict) }}
                                    </span>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
            <div class="panel-body" onload="acafac.addedit[acafac.addedit.template.action].init()"                
                ng-include="acafac.addedit.template.content"
                ng-if="acafac.addedit.showForm">
            </div>
        </div>
    </div>
</div>